import { useState, useEffect, } from 'react'
import { Taro, useRouter } from '@tarojs/taro'
import { View } from '@tarojs/components'
import withLayout from '@/layouts'
import CustomNav from '@/components/CustomNav'
import Complete from '@/components/CompoentsOrder/complete'
import './style.less'


export default withLayout((props) => {
  const [activeTab, setActiveTab] = useState(0)
  const { router, person } = props
  const { params } = useRouter()
  const { tabJump } = params || {}


  useEffect(() => {
    if (tabJump) {
      setActiveTab(tabJump - 0)
    }
  }, [tabJump])



  const tabs = [
    {
      title: '全部',
    },
    {
      title: '待支付',

    },
    {
      title: '待核销',

    },
    {
      title: '已使用',

    },
    {
      title: '已过期',

    },
  ]

  const handleTabChange = (e) => {
    const { index } = e.detail
    setActiveTab(index)

  }

  return (
    <view className='page-index box-content'>
      <view className='index-navbar'  >
        <CustomNav title='我的订单' />
      </view>
      <View className='index-container' style={{ display: 'flex', flexDirection: 'column', boxSizing: 'border-box' }}>
        <view className='index-tabs'>
          <mp-tabs
            tabClass='tabs-Unselected'
            swiperClass='tabs-swiper'
            activeClass='tabs-Selected'
            tabUnderlineColor='#000'
            tabInactiveTextColor='#C0C8D3'
            tabs={tabs}
            current={activeTab}
            onChange={handleTabChange}
            activeTab={activeTab}
          >
          </mp-tabs>
        </view>
        {activeTab === 0 && <Complete />}
        {activeTab === 1 && <Complete type={0} />}
        {activeTab === 2 && <Complete type={1} />}
        {activeTab === 3 && <Complete type={2} />}
        {activeTab === 4 && <Complete type={3} />}
      </View>
    </view>
  )
})
